Skip to content

Returns the ordered completion eligibility rules owned by one Outcome.

GET
/api/workspace/tasks/configuration/task-definitions/{taskDefinitionId}/outcomes/{outcomeId}/completion-eligibility-rules
curl --request GET \
--url https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules \
--header 'Authorization: Bearer <token>'
taskDefinitionId
required
string
outcomeId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable
object
RuleId
string
nullable
OutcomeId
string
nullable
Code
string
nullable
Expression
string
nullable
NormalizedExpression
string
nullable
DefaultMessage
string
nullable
MessageTranslations
object
key
additional properties
string
Enabled
boolean
SortOrder
integer format: int32
EngineVersion
string
nullable
ProfileVersion
integer format: int32
SchemaFingerprint
string
nullable
ProfileFingerprint
string
nullable
ExpressionFingerprint
string
nullable
ArtifactFingerprint
string
nullable
Diagnostics
Array<object>
nullable
object
Code
string
nullable
Message
string
nullable
Severity
string
nullable
Start
integer format: int32
nullable
Length
integer format: int32
nullable
DependencyId
string
nullable
Dependencies
Array<object>
nullable
object
Kind
integer format: int32
Allowed values: 0 1 2
DependencyId
string
nullable
Path
string
nullable
CollectionScope
string
nullable
CreatedAtUtc
string format: date-time
ModifiedAtUtc
string format: date-time
nullable
RowVersion
string format: uuid
Actions
object
CanUpdate
boolean
CanDelete
boolean
CanRead
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Dependencies": [
{
"Kind": 0
}
]
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}